import type { SegmentAPIIntegrations, IntegrationSettings, DeepPartial, Context, UserInfoState } from '..';
import type { Storage, StorageConfig, DeepLinkData, Watchable, Settable, Dictionary } from './types';
export declare class SovranStorage implements Storage {
    private storeId;
    private storePersistor?;
    private readinessStore;
    private contextStore;
    private settingsStore;
    private userInfoStore;
    private deepLinkStore;
    readonly isReady: Watchable<boolean>;
    readonly context: Watchable<DeepPartial<Context> | undefined> & Settable<DeepPartial<Context>>;
    readonly settings: Watchable<SegmentAPIIntegrations | undefined> & Settable<SegmentAPIIntegrations> & Dictionary<string, IntegrationSettings>;
    readonly userInfo: Watchable<UserInfoState> & Settable<UserInfoState>;
    readonly deepLinkData: Watchable<DeepLinkData>;
    constructor(config: StorageConfig);
    /**
     * This is a fix for users that have started the app with the anonymousId set to 'anonymousId' bug
     */
    private fixAnonymousId;
}
